Well, this is definitely great and would be very useful to a lot of devs. That it doesn't work with v1 is obviously a turn off. Where would be the right place to ask and see if an update would be possible ?